<template>
  <div
    class="header"
    :class="headerDark ? 'darkHeader' : ''"
    v-if="!headerHidden"
  >
    <img
      src="../../src/assets/images/header/ic_header.webp"
      alt=""
      srcset=""
      v-if="!headerDark"
    />
    <img
      src="../../src/assets/images/header/ic_header2.webp"
      alt=""
      srcset=""
      v-else
    />
    <div class="dianji" @click="show"></div>
    <transition name="fade" mode="out-in">
      <div class="mask" v-if="showMask">
        <img
          src="../assets/images/header/header_tianqi.webp"
          alt=""
          class="header_tianqi"
        />
        <div class="header_mask_font">通知管理</div>
        <img
          src="../assets/images/header/header_huishou.webp"
          alt=""
          class="header_huishou"
          @click="hidden"
        />
      </div>
    </transition>
  </div>
</template>

<script>
import { mapState } from "vuex";

export default {
  name: "StatusBar",

  data() {
    return {
      showMask: false,
    };
  },

  mounted() {},
  computed: {
    ...mapState("header", {
      headerDark: (state) => state.headerDark,
      headerHidden: (state) => state.headerHidden,
    }),
  },
  methods: {
    show() {
      console.log("点击");
      this.showMask = true;
      this.$store.commit("header/changeMask", this.showMask);
    },
    hidden() {
      this.showMask = false;
      this.$store.commit("header/changeMask", this.showMask);
    },
  },
};
</script>

<style lang="scss" scoped>
.header {
  height: 46px;
  width: 100%;
  background: transparent;
  position: absolute;
  top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 20;
}

.darkHeader {
  background: #050505;
  width: 1930px;
}

.dianji {
  width: 44px;
  height: 44px;
  background: transparent;
  position: absolute;
  z-index: 10;
}

.mask {
  width: 1923px;
  height: 1080px;
  overflow: hidden;
  background-image: url("../assets/images/header/header_mask_bk.webp");
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 0px 0px 0px 0px;
  position: absolute;
  z-index: 100;
  top: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: all 0.5s;
  transform: translateX(0px) translateY(0px) translateZ(0);
  .header_tianqi {
    width: 1180px;
    height: 194px;
    margin-top: 87px;
    z-index: 101;
    opacity: 1;
  }

  .header_mask_font {
    height: 35px;
    opacity: 1;
    font-size: 24px;
    font-weight: 500;
    position: absolute;
    top: 350px;
    left: 390px;
  }

  .header_huishou {
    width: 112px;
    height: 112px;
    position: absolute;
    pointer-events: all;
    bottom: 125px;
  }
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.3s;
}
.fade-enter,
.fade-leave-to {
  opacity: 0;
}
</style>
